import { ChartDimension, ChartMeasure, PrimitiveType, Property } from '@metad/ocap-core';
import { SeriesComponentType } from './types';
/**
 * 度量的数字缩写格式化
 *
 * @param measure 度量
 * @param value 数值
 * @param locale 地区
 * @param shortNumber 是否缩短
 * @returns
 */
export declare function formatMeasureNumber({ measure, property }: {
    measure: Partial<ChartMeasure>;
    property: Property;
}, value: number | string, locale: string, shortNumber?: boolean): string;
export declare function _formatDimensionValue(item: any, dimProperty?: Property | null): string;
export declare function formatMeasureLabel(item: unknown, { measure, property }: {
    measure: ChartMeasure;
    property: Property;
}, locale: string, shortNumber?: boolean): string;
export declare function formatMeasuresLabel(item: unknown, measures: Array<{
    measure: ChartMeasure;
    property: Property;
}>, locale: string, shortNumber?: boolean): string;
export declare function setCategoryAxisLabel(category: any, items: any, chartCategory: ChartDimension, property: Property): void;
export declare function format(value: any, formatter: any): string;
/**
 * shorNumber
 * @param value 传入的需要进行 short 的数据
 * @returns null 或者 short结果数组 (例如: ['4.53', 'K'] ['5.62', '万'])
 */
export declare function formatShortNumber(value: number | string, locale?: string, factor?: any, shortUnits?: any): [number, string];
export declare function getSeriesComponentMeasureName(seriesComponents: Array<SeriesComponentType>, i: number): string;
export declare function formatCategoryLabel(value: PrimitiveType, valueTexts: Map<PrimitiveType, string>, category: ChartDimension): string;
/**
 * 数字缩写格式化
 * @param value 数字
 * @param shortNumber 数字是否缩写
 */
export declare function echartsFormatNumber(value: any, digitInfo?: string, shortNumber?: boolean, locale?: string): string;
/**
 * @todo locale
 *
 * @param value
 * @returns
 */
export declare const DefaultValueFormatter: (value: number) => string;
