import { ChartAnnotation, ChartDimension, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions, ICoordinate } from './types';
export declare function heatmap(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): any;
/**
 * 单个笛卡尔坐标系, 对应一个 grid 内的组件
 *
 * @param data 数据数组
 * @param chartAnnotation 图形注解
 * @param entityType 实体类型
 * @param settings 图形设置
 * @param options 图形属性
 * @returns
 */
export declare function cartesianCoordinate(data: Array<Record<string, unknown>>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): ICoordinate;
export declare function calendarCoordinate(data: Array<Record<string, unknown>>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): ICoordinate;
export declare function getChartCalendar(chartAnnotation: ChartAnnotation, entityType: EntityType): ChartDimension;
