import { getEntityProperty, mergeOptions } from '@metad/ocap-core';
export function Funnel(data, chartAnnotation, entityType, settings, options) {
    const item = data.data[0];
    const series = {
        name: 'Funnel',
        type: 'funnel',
        minSize: '20%',
        maxSize: '100%',
        data: chartAnnotation.measures.map((measure) => {
            const property = getEntityProperty(entityType, measure);
            return {
                value: item[measure.measure],
                name: property.label || property.name
            };
        })
    };
    const funnelOptions = {
        tooltip: mergeOptions({
            trigger: 'item'
        }, options?.tooltip),
        series: [mergeOptions(series, options?.seriesStyle)]
    };
    return funnelOptions;
}
//# sourceMappingURL=measures.js.map