import { ChartMeasure, Property } from '@metad/ocap-core';
import { IDataset, IVisualMap, SeriesComponentType } from './types';
export declare function getColorLightnessVisualMap(measure: ChartMeasure, property: Property, dataset: IDataset['dataset'] | IDataset['dataset'][], visualMaps?: IVisualMap[]): {
    dimension: string | number;
    min: any;
    max: any;
    text: string[];
};
/**
 * 将 Measure 的 Palette 转换成 ECharts VisualMap 组件
 *
 * @param palette
 * @param measure
 * @param data
 * @returns
 */
export declare function getMeasurePaletteVisualMap(palette: ChartMeasure['palette'], measure: SeriesComponentType, data: any[]): {
    show: boolean;
    type: string;
    text: string[];
    min: any;
    max: any;
    inRange: {
        color: any[];
    };
};
